Subject: Re: [GOST] public_key в pygost

From: [email-masked]
Date: Fri, 24 Nov 2017 08:47:03 +0300

Доброе утро. Все форматы описаны в ТЕХНИЧЕСКОЙ  СПЕЦИФИКАЦИИ ТК26 ИСПОЛЬЗОВАНЕ АЛГОРИТМОВ ГОСТ Р 34.10, ГОСТ Р 34.11 В ПРОФИЛЕ СЕРТИФИКАТА И СПИСКЕ  ОТЗЫВА СЕРТИФИКАТОВ (CRL) ИНФРАСТРУКТУРЫ ОТКРЫТЫХ КЛЮЧЕЙ X.509
Она доступна на сайте Технического комитета tc26.ru
Григорий
четверг, 23 ноября 2017г., 23:08 +03:00 от Гневашев Дмитрий < [email-masked]> :

>Возникла необходимость подписывать документы ГОСТ Р 34.10-2001. Раньше 
>не приходилось заниматься чем-то подобным. Использую pygost, и возник 
>такой вопрос. Функция public_key() возвращает два значения, которые 
>можно использовать для проверки подписи. Однако организация, для который 
>мы подписываем документы запрашивает один public key. Почитав алгоритм, 
>я понял, что по сути это - координаты точки x и y. Вопрос, что принимают 
>на той стороне, как преобразовать это в один public key? Там, судя по 
>всему, используется модуль для Java от КриптоПро. Кто-нибудь знаком с 
>этим модулем? Их тех.поддержка пока не понимает мои вопросы об x и y.
>
>Gnevashev Dmitri
>